package com.yfyy.yingtan.bean.request;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

// 噪声监测-模型
public class ZsReqBean {

    private String device_id;// 设备 ID
    private String received_time;// 数据上报时间
    private String f_cnt_up;// 上行计数

    @JsonProperty("Etemperature")
    private String Etemperature;// 温度(℃)
    @JsonProperty("Ehumidity")
    private String Ehumidity; // 湿度(%)
    @JsonProperty("AirPressure")
    private String AirPressure;// 气压
    @JsonProperty("Noisepollution")
    private String Noisepollution;// 噪声
    @JsonProperty("WindSpeed")
    private String WindSpeed;// 风速
    @JsonProperty("WindDirection")
    private String WindDirection;// 风向

    public ZsReqBean() {
    }

    public String getDevice_id() {
        return device_id;
    }

    public void setDevice_id(String device_id) {
        this.device_id = device_id;
    }

    public String getReceived_time() {
        return received_time;
    }

    public void setReceived_time(String received_time) {
        this.received_time = received_time;
    }

    public String getF_cnt_up() {
        return f_cnt_up;
    }

    public void setF_cnt_up(String f_cnt_up) {
        this.f_cnt_up = f_cnt_up;
    }

    @JSONField(name = "Etemperature")
    public String getEtemperature() {
        return Etemperature;
    }

    public void setEtemperature(String etemperature) {
        Etemperature = etemperature;
    }

    @JSONField(name = "Ehumidity")
    public String getEhumidity() {
        return Ehumidity;
    }

    public void setEhumidity(String ehumidity) {
        Ehumidity = ehumidity;
    }

    @JSONField(name = "AirPressure")
    public String getAirPressure() {
        return AirPressure;
    }

    public void setAirPressure(String airPressure) {
        AirPressure = airPressure;
    }

    @JSONField(name = "Noisepollution")
    public String getNoisepollution() {
        return Noisepollution;
    }

    public void setNoisepollution(String noisepollution) {
        Noisepollution = noisepollution;
    }

    @JSONField(name = "WindSpeed")
    public String getWindSpeed() {
        return WindSpeed;
    }

    public void setWindSpeed(String windSpeed) {
        WindSpeed = windSpeed;
    }

    @JSONField(name = "WindDirection")
    public String getWindDirection() {
        return WindDirection;
    }

    public void setWindDirection(String windDirection) {
        WindDirection = windDirection;
    }
}
